Subject: Re: [bug#41056] [PATCH 2/2] gnu: nix: Update to 2.3.4.

From: Marius Bakke <[email-masked]>
Date: Wed, 06 May 2020 22:46:49 +0200

[email-masked] writes:

> Hi Marius,
>
> On 2020-05-05 17:48, Marius Bakke wrote:
>> Giacomo Leidi <[email-masked]> writes:
>> 
>>> * gnu/packages/package-management.scm (nix): Update to 2.3.4,
>>> [native-inputs]: Add autoconf, autoconf-archive, automake, bison and 
>>> flex,
>>> [inputs]: Add boost, brotli, editline.
>> 
>> The new native-inputs are weird.  Do you know why they are needed?
>> Typically those are only necessary when building from a git checkout,
>> not for release tarballs.
>
> Of course they are strange, I was trying to use the Git checkout 
> initially because of the wonderful support offered by SWH in storing Git 
> repositories but eventually I changed my mind and forgot to remove them 
> :(.

Easy mistake to make :-) good thing we have patch review processes to
catch such issues!

> I fixed this and the problems in the other patch and I'm going to send 
> an updated version.

Applied both patches, thank you!